Package: groovy.mock.interceptor

## [Groovy] Class StrictExpectation

- groovy.mock.interceptor.StrictExpectation

- Expects demanded call cardinalities to match demanded ranges in the sequence of recording.

  See Also:
    LooseExpectation
  Authors:
    Dierk Koenig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `fCallSpecIdx`
    `List` | `fCalls`
    `Demand` | `fDemand`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StrictExpectation (Demand demand)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Closure` | `match(String name)` Match the requested method name against eligible demands.
    `` | `void` | `verify()` verify all calls are in expected range

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### int fCallSpecIdx

    - #### List fCalls

    - #### Demand fDemand

  - ### Constructor Detail

    - #### StrictExpectation(Demand demand)

  - ### Method Detail

    - #### Closure match(String name)

      Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match. Also skips over names matching ignore filter, if any.

    - #### void verify()

      verify all calls are in expected range